#ifndef MSP_DATAFILE_TEXTWRITER_H_
#define MSP_DATAFILE_TEXTWRITER_H_

#include "writermode.h"

namespace Msp {
namespace DataFile {

class TextWriter: public WriterMode
{
private:
	Fmt float_format;

public:
	TextWriter(Output &o);

	virtual void set_float_precision(unsigned);
	virtual void write(const Statement &st);
private:
	void write_(const Statement &st, unsigned);
};

} // namespace DataFile
} // namespace Msp

#endif
